########################## BACKEND SERVICES ##########################

# Backend Nodejs Simple
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: nodejs-simple-production
  namespace: argocd
  annotations:
    argocd-image-updater.argoproj.io/image-list: registry.gitlab.com/g4544/argocd-gitops-template/backend/nodejs-simple/main:~v0.1
    argocd-image-updater.argoproj.io/write-back-method: git
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    stage: "production-service"
    servicebfr: "backend"
spec:
  project: default
  source:
    repoURL: git@gitlab.com:g4544/argocd-gitops-template/infrastructure/deploy.git
    targetRevision: main
    path: overlays/environments/production/nodejs-simple
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: false
    syncOptions:
      - Validate=true
      - CreateNamespace=false
      - PrunePropagationPolicy=foreground
      - PruneLast=true

########################## FRONTEND SERVICES ##########################

# Frontend Reactjs Simple
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: reactjs-simple-production
  namespace: argocd
  annotations:
    argocd-image-updater.argoproj.io/image-list: registry.gitlab.com/g4544/argocd-gitops-template/frontend/reactjs-simple/main:~v0.1
    argocd-image-updater.argoproj.io/write-back-method: git
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    stage: "production-service"
    servicebfr: "ui"
spec:
  project: default
  source:
    repoURL: git@gitlab.com:g4544/argocd-gitops-template/infrastructure/deploy.git
    targetRevision: main
    path: overlays/environments/production/reactjs-simple
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: false
    syncOptions:
      - Validate=true
      - CreateNamespace=false
      - PrunePropagationPolicy=foreground
      - PruneLast=true
